### Method

# GLib OptionGroup set_parse_hooks

since: 2.6

#### Declaration

    void
    g_option_group_set_parse_hooks (
      GOptionGroup* group,
      GOptionParseFunc pre_parse_func,
      GOptionParseFunc post_parse_func
    )

#### Description

Associates two functions with `group` which will be called from `g_option_context_parse()` before the first option is parsed and after the last option has been parsed, respectively.

Note that the user data to be passed to `pre_parse_func` and `post_parse_func` can be specified when constructing the group with g_option_group_new().

Available since: 2.6

This method is not directly available to language bindings.

#### Parameters

`pre_parse_func`

  Type: `GOptionParseFunc`

  A function to call before parsing, or `NULL`.

  The argument can be `NULL`.

`post_parse_func`

  Type: `GOptionParseFunc`

  A function to call after parsing, or `NULL`.

  The argument can be `NULL`.